{% extends "lab_7/layout/base.html" %}
{% block content %}
<section name="mahasiswa-list" id="mahasiswa-list">
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-lg-8">
                <h2> Mahasiswa Fasilkom</h2>
                <div class="list-group">
                    {% if mahasiswa_list %}
                        {% for mahasiswa in mahasiswa_list %}
                            <a class="list-group-item clearfix">
                                {{ mahasiswa.nama }} ({{ mahasiswa.npm }})
                                <span class="pull-right">
                        <span class="btn btn-xs btn-default" onClick="addFriend('{{ mahasiswa.nama }}', '{{ mahasiswa.npm }}')">
                            Tambah sebagai teman
                        </span>
                    </span>
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada mahasiswa
                        </div>
                    {% endif %}
					
					{% if users.has_other_pages %}
  <ul class="pagination">
    {% if users.has_previous %}
      <li><a href="?page={{ users.previous_page_number }}&page={{ request.GET.page }}">&laquo;</a></li>
    {% else %}
      <li class="disabled"><span>&laquo;</span></li>
    {% endif %}
    {% for i in users.paginator.page_range %}
      {% if users.number == i %}
        <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
      {% else %}
        <li><a href="?page={{ i }}">{{ i }}</a></li>
      {% endif %}
    {% endfor %}
    {% if users.has_next %}
      <li><a href="?page={{ users.next_page_number }}&page={{ request.GET.page }}">&raquo;</a></li>
    {% else %}
      <li class="disabled"><span>&raquo;</span></li>
    {% endif %}
  </ul>
{% endif %}
                </div>
            </div>
            <div class="col-lg-4">
                <h2> Teman Saya </h2>
                <div class="list-group" id="friend-list">
                    {% if friend_list %}
                        {% for friend in friend_list %}
                            <a class="list-group-item clearfix">
                                {{ friend.friend_name }} ({{ friend.npm }})
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada teman
                        </div>
                    {% endif %}
                </div>
                <form id="add-friend" action="#">
                    {% csrf_token %}
                    <label for="field_npm">npm</label>
                    <input id="field_npm" type="text" name="npm" class="form-control"/>
                    <label for="field_name">name</label>
                    <input id="field_name" type="text" name="name" class="form-control"/>
                    <button type="submit">Tambah</button>
                </form>
            </div>
        </div>
    </div>
</section>
{% endblock %}
{% block javascript %}

<script>
    var addFriend = function(nama, npm) {
        $.ajax({
            method: "POST",
            url: "{% url "lab-7:add-friend" %}",
            data: { name: nama, npm: npm},
            success : function (friend) {
                html = '<a class="list-group-item clearfix">' +
                    friend.friend_name + ' ('+friend.npm +
                    ')</a>';
                    '</a>';
                $("#friend-list").append(html)
            },
            error : function (error) {
                alert("Mahasiswa ini sudah ditambahkan sebagai teman")
            }
        });
    };
	
	/**var addFriend = function(nama, npm) {
        $.ajax({
            method: "POST",
            url: "{% url "lab-7:add-friend" %}",
            data: { name: nama, npm: npm},
            success : function (friend) {
                var friendParsed = JSON.parse(friend)
                html = '<a class="list-group-item clearfix">' +
                    friendParsed.friend_name + ' ('+friendParsed.npm +
                    ')</a>';
                $("#friend-list").append(html)
                console.log(friendParsed)

            },
            error : function (error) {
                alert("Mahasiswa tersebut sudah ditambahkan sebagai teman")
            }
        });
    };**/


    

    $("#field_npm").change(function error() {
        console.log( $(this).val() );
        npm = $(this).val();
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:validate-npm" %}',
            data: {
                'npm': npm
            },
            dataType: 'json',
            success: function (data) {
                console.log(data)
                if (data.is_taken) {
                    alert("Mahasiswa ini sudah ditambahkan sebagai teman");
                }
            }
        });
    });
	
	$("#add-friend").on("submit", function () {
       name = $("#field_name").val()
       npm = $("#field_npm").val()
        addFriend(name, npm)
        event.preventDefault();
    });
	
	/*8$("#field_name").change(function () {
        console.log( $(this).val() );
        nama = $(this).val();
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:validate-nama" %}',
			
            data: {
                'name': nama
            },
            dataType: 'json',
            success: function (data) {
                console.log(data)
                if (data.is_taken) {
                    alert("Mahasiswa dengan nama seperti ini sudah ada");
                }
            }
        });
    });**/
</script>
{% endblock %}
